%define name    lilv
%define version 0.22.1git.d92e31
%define release 11

Name: lilv
Version: 0.22.1git.d92e31
Release: 11.rncbc.suse
Summary: LV2 plugin library for applications and hosts

%define _lib_major 0
%define _lib_name lib%{name}-%{_lib_major}-0
%define _lib_name_devel lib%{name}-devel

Source: http://download.drobilla.net/%{name}-%{version}.tar.bz2
URL: http://drobilla.net/software/%{name}/
License: ISC
Group: System/Libraries

BuildRequires: pkgconfig python python-rdflib
BuildRequires: lv2-devel >= 1.8.0
BuildRequires: libserd-devel >= 0.18.0
BuildRequires: libsord-devel >= 0.10.0
BuildRequires: libsratom-devel >= 0.4.0

%description
LV2 plugin library for applications and hosts

%files -n %{name}
%defattr(-,root,root,-)
%doc COPYING README
%doc %{_mandir}/man1/lv2info.1.gz
%doc %{_mandir}/man1/lv2ls.1.gz
%{_bindir}/lilv-bench
%{_bindir}/lv2bench
%{_bindir}/lv2info
%{_bindir}/lv2ls
%config(noreplace) %attr(644,root,root) %{_sysconfdir}/bash_completion.d/lilv

#-----------------------------------
%package -n %{_lib_name}

Summary: LV2 plugin library for applications and hosts
Group: System/Libraries

%description -n %{_lib_name}
Lilv is a library to make the use of LV2 plugins as simple as possible
for applications. Lilv is the successor to SLV2, rewritten to be
significantly faster and have minimal dependencies.

%files -n %{_lib_name}
%defattr(-,root,root,-)
%{_libdir}/lib%{name}-%{_lib_major}.so.*

#-----------------------------------
%package -n %{_lib_name_devel}
Summary: Headers for the lilv LV2 library
Group: System/Libraries
Requires: %{_lib_name} = %{version}-%{release}
Requires: pkgconfig
Provides: %{name}-devel = %{version}-%{release}

%description -n %{_lib_name_devel}
Development files needed to build applications against lilv.

%files -n %{_lib_name_devel}
%defattr(-,root,root,-)
%{_libdir}/lib%{name}-%{_lib_major}.so
%dir %{_includedir}/%{name}-%{_lib_major}/
%dir %{_includedir}/%{name}-%{_lib_major}/%{name}
%{_includedir}/%{name}-%{_lib_major}/%{name}/*.h
%{_includedir}/%{name}-%{_lib_major}/%{name}/*.hpp
%{_libdir}/pkgconfig/%{name}-%{_lib_major}.pc

#-----------------------------------
%prep
%setup -q

%build
./waf configure --prefix=%{_prefix} --mandir=%{_mandir} --libdir=%{_libdir} --configdir=%{_sysconfdir}
./waf

%install
rm -rf %{buildroot}
./waf install --destdir=%{buildroot}

%clean
rm -rf %{buildroot}

%post   -n %{_lib_name} -p /sbin/ldconfig
%postun -n %{_lib_name} -p /sbin/ldconfig

#-----------------------------------
%changelog

* Sun Jul 17 2016 Rui Nuno Capela <rncbc@rncbc.org> - 0.22.1git
- Latest git snapshot.
* Thu Oct 08 2015 Rui Nuno Capela <rncbc@rncbc.org> - 0.22.0
- New upstream release.
* Wed Nov 26 2014 Rui Nuno Capela <rncbc@rncbc.org> - 0.20.0
- OBS snapshot update.
